##
# Ansible file to install PHP
#

---
# file: roles/php/tasks/main.yml

- name: PHP Role
  set_fact:
    role_php_started: yes
  tags:
    - always

- block:

    - include_tasks: variables.yml
      tags:
        - always

    - import_tasks: php.yml

    - name: Link PhpEnMod for PHP 5.3
      file:
        dest: /usr/local/bin/php{{ item }}
        src: /usr/sbin/php5{{ item }}
        state: link
      with_items:
        - enmod
        - dismod
      when: php_version|default("5.5") == "5.3"

    - name: PHP | Remember that this role had been run
      set_fact:
        role_php_completed: yes
      tags:
        - always

  when: not excluded_roles or "php" not in excluded_roles and role_php_completed is not defined
